<?php require_once 'cms/cms.php'; ?>
<cms:template title='The Map Page' clonable='0' nested_pages='1' >
	<cms:editable name='map_page_head' label='Map Meta/Head Details' type='group' />
		<cms:editable name='page_title' type='text' label='Page Title' group='map_page_head' desc='For SEO Please keep it under 55 Characters' maxlength="55"></cms:editable>
		<cms:editable name='page_desc' type='text' label='Page Description' group='map_page_head' desc='For SEO Please keep it under 160 Characters' maxlength="160">T</cms:editable>
		<cms:editable name='page_keywords' type='text' label='Page Keywords' desc='Seperate key words with a comma' group='map_page_head' desc='For SEO Please keep it 10 keyword Phrases Seperated by Commas'></cms:editable>
    <cms:editable name='roadmap_api_section' label='Map Page Map Section Properties' desc="" type='group' />
		<cms:editable name='jeremyMainMapLocation' label='The Main Map Location/Address' type='text' group='roadmap_api_section' ></cms:editable>
		<cms:editable name='enableJeremyRoadmap' label='Enable the Main Roadmap?' desc='Select YES to SHOW the Roadmap or Select NO to HIDE the Roadmap' type='radio' opt_values="yes= | no=hideThisItem" group='roadmap_api_section' />
		<cms:editable name='jeremyRoadMapHeight' label='What height do you want the Roadmap? (LARGE DESKTOP)' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/pixels-dropdown.php'/>" type='dropdown' group='roadmap_api_section' opt_selected = 'height400' >height400</cms:editable>
		<cms:editable name='jeremyRoadMapHeightMediumDesktop' label='What height do you want the Roadmap? (MEDIUM DESKTOP)' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/pixels-mediumdesktop-dropdown.php'/>" type='dropdown' group='roadmap_api_section' opt_selected = 'height350MediumDesktop' >height350MediumDesktop</cms:editable>
		<cms:editable name='jeremyRoadMapHeightSmallDesktop' label='What height do you want the Roadmap? (SMALL DESKTOP)' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/pixels-smalldesktop-dropdown.php'/>" type='dropdown' group='roadmap_api_section' opt_selected = 'height325SmallDesktop' >height325SmallDesktop</cms:editable>
		<cms:editable name='jeremyRoadMapHeightTablet' label='What height do you want the Roadmap? (TABLET)' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/pixels-tablet-dropdown.php'/>" type='dropdown' group='roadmap_api_section' opt_selected = 'height225Tablet' >height225Tablet</cms:editable>
		<cms:editable name='jeremyRoadMapHeightMobile' label='What height do you want the Roadmap? (MOBILE)' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/pixels-mobile-dropdown.php'/>" type='dropdown' group='roadmap_api_section' opt_selected = 'height150Mobile' >height150Mobile</cms:editable>
		<cms:editable name="jeremyRoadMapZoomLevel" label="Main ROADMAP Zoom In Level" desc="The LOWER the number the closer the zoom" opt_values="<cms:embed 'layouts/calendar-zoom.php'/>" opt_selected = '14' type='dropdown' group='roadmap_api_section' >14</cms:editable>   
		<cms:editable name="enableMainMapTerrainControl" type='radio' label="Does the main Roadmap have Terrain Controls" desc="Please select one of the following options" opt_values="enabled=true | disabled=false" group='roadmap_api_section'/>
		<cms:editable name="enableMainMapWheelScroll" type='radio' label="Does you want the main map to scrollable with a wheel mouse?" desc="Please select one of the following options" opt_values="enabled=true | disabled=false" group='roadmap_api_section'/>
		<cms:editable name="enableMainMapDragging" type='radio' label="Does you want the main map to be draggable?" desc="Please select one of the following options" opt_values="enabled=true | disabled=false" group='roadmap_api_section'/>
		<cms:editable name="enableMainMapNavControl" type='radio' label="Does you want the main map to have navigation controls?" desc="Please select one of the following options" opt_values="enabled=true | disabled=false" group='roadmap_api_section'/>
		<cms:editable name='mainMapPOVControl' label='"What Direction do you want the map to face from the address?' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/degree-dropdown.php'/>" type='dropdown' group='roadmap_api_section' masterpage='index.php'>0</cms:editable>
		<cms:editable name='mainMapPitchControl' label='"What Up/Down Direction do you want the map to face from the address?' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/degree-dropdown.php'/>" type='dropdown' group='roadmap_api_section' masterpage='index.php'>0</cms:editable>
		<cms:editable name='mainMapLabelTitle' type='text' label='What is the Maps Title' group='roadmap_api_section'></cms:editable>  
		<cms:editable name='theMainMapLocatorMarker' label='The Main Roadmap Marker Image' desc='This is the locator Pin' type='image' show_preview='1' height='50' width='50' enforce_max='1' group='roadmap_api_section'>images/icons/map-marker.png</cms:editable>
		<cms:editable name='mainMapLocatorTitle' type='text' label='What Locator Pin Pop-Ups Title' group='roadmap_api_section'></cms:editable> 
		<cms:editable name='mainMapLocatorCopy' type='text' label='What Locator Pin Pop-Ups Content' group='roadmap_api_section'></cms:editable> 
    <cms:editable name='streetview_map_api_section' label='Map Page Map Section Properties' desc="" type='group' />
		<cms:editable name='enableJeremyStreetmap' label='Enable the Main STREETVIEW Map?' desc='Select YES to SHOW the STREETVIEW Map or Select NO to HIDE the STREETVIEW Map' opt_values="yes=yes | no=hideThisItem" type='radio' group='streetview_map_api_section' opt_selected = '1' >hideThisItem</cms:editable>
		<cms:editable name="enableStreetMapWheelScroll" type='radio' label="Does you want the Street View map to scrollable with a wheel mouse?" desc="Please select one of the following options" opt_values="enabled=true | disabled=false" group='streetview_map_api_section'/>		
		<cms:editable name='jeremyStreetMapHeight' label='What height do you want the Steetview Map? (LARGE DESKTOP)' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/pixels-dropdown.php'/>" type='dropdown' group='streetview_map_api_section' opt_selected = 'height400' >height400</cms:editable>
		<cms:editable name='jeremyStreetMapHeightMediumDesktop' label='What height do you want the Steetview Map? (MEDIUM DESKTOP)' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/pixels-mediumdesktop-dropdown.php'/>" type='dropdown' group='streetview_map_api_section' opt_selected = 'height350MediumDesktop' >height350MediumDesktop</cms:editable>
		<cms:editable name='jeremyStreetMapHeightSmallDesktop' label='What height do you want the Steetview Map? (SMALL DESKTOP)' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/pixels-smalldesktop-dropdown.php'/>" type='dropdown' group='streetview_map_api_section' opt_selected = 'height325SmallDesktop' >height325SmallDesktop</cms:editable>
		<cms:editable name='jeremyStreetMapHeightTablet' label='What height do you want the Steetview Map? (TABLET)' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/pixels-tablet-dropdown.php'/>" type='dropdown' group='streetview_map_api_section' opt_selected = 'height225Tablet' >height225Tablet</cms:editable>
		<cms:editable name='jeremyStreetMapHeightMobile' label='What height do you want the Steetview Map? (MOBILE)' desc='Please select an option from the dropdown menu' opt_values="<cms:embed 'layouts/pixels-mobile-dropdown.php'/>" type='dropdown' group='streetview_map_api_section' opt_selected = 'height150Mobile' >height150Mobile</cms:editable>
		<cms:editable name="jeremyStreetViewMapZoomLevel" label="Main STREETVIEW Map Zoom In Level" desc="The HIGHER the number the closer the zoom" opt_values="<cms:embed 'layouts/street-view-zoom.php'/>" opt_selected = '1' type='dropdown' group='streetview_map_api_section' >1</cms:editable>   
		<cms:editable name='jeremyCustomGoogleMapStyles' label='Google Map Style Theme' desc="Over 124 custom themes to choose from" opt_values="<cms:embed 'layouts/googlemapstyle.blade.php'/>" type='dropdown' group='streetview_map_api_section' masterpage=k_template_name>brightbubbly</cms:editable>
</cms:template>
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">			
		<title><cms:get_custom_field 'page_title' masterpage=k_template_name /></title>			
		<meta name="description" content="<cms:get_custom_field 'page_desc' masterpage=k_template_name />">
		<meta name="keywords" content="<cms:get_custom_field 'page_keywords' masterpage=k_template_name />">
	    <!--[if lt IE 9]>
	        <script type="text/javascript" src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
	        <script type="text/javascript" src="//s3.amazonaws.com/nwapi/nwmatcher/nwmatcher-1.2.5-min.js"></script>
	        <script type="text/javascript" src="//html5base.googlecode.com/svn-history/r38/trunk/js/selectivizr-1.0.3b.js"></script>
	        <script type="text/javascript" src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
	        <script type="text/javascript" src="<cms:show k_site_link />js/ie9.js"></script>
	    <![endif]-->
	    <!--[if gte IE 9]><style type="text/css">.gradient {filter: none;}</style><![endif]-->
		<link rel="stylesheet" type='text/css' media='screen' href="css/jeremymapstyle.css"> 
	    <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
	    <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/jquery-migrate/1.2.1/jquery-migrate.min.js"></script>
	</head>
	<body>
		<div class="container">
			<div id="theMainMap" style="height:350px;width:100%;" class="<cms:get_custom_field 'jeremyRoadMapHeight' masterpage=k_template_name /> <cms:get_custom_field 'jeremyRoadMapHeightMediumDesktop' masterpage=k_template_name /> <cms:get_custom_field 'jeremyRoadMapHeightSmallDesktop' masterpage=k_template_name /> <cms:get_custom_field 'jeremyRoadMapHeightTablet' masterpage=k_template_name /> <cms:get_custom_field 'jeremyRoadMapHeightMobile' masterpage=k_template_name /> <cms:get_custom_field 'enableJeremyRoadmap' masterpage=k_template_name />"></div>
			<div id="theMainMapStreetView" style="height:350px;width:100%;" class="<cms:get_custom_field 'jeremyStreetMapHeight' masterpage=k_template_name /> <cms:get_custom_field 'jeremyStreetMapHeightMediumDesktop' masterpage=k_template_name /> <cms:get_custom_field 'jeremyStreetMapHeightSmallDesktop' masterpage=k_template_name /> <cms:get_custom_field 'jeremyStreetMapHeightTablet' masterpage=k_template_name /> <cms:get_custom_field 'jeremyStreetMapHeightMobile' masterpage=k_template_name /> <cms:get_custom_field 'enableJeremyStreetmap' masterpage=k_template_name />" ></div>
		</div>
		<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=false&libraries=places&dummy=.js"></script>
		<script type="text/javascript"> 
		    var jeremyMainMapZoomLevel = parseInt("<cms:php> echo '<cms:get_custom_field 'jeremyRoadMapZoomLevel' masterpage=k_template_name />';</cms:php>");
		    var jeremyMainmapStreetZoomLevel = parseInt("<cms:php> echo '<cms:get_custom_field 'jeremyStreetViewMapZoomLevel' masterpage=k_template_name />';</cms:php>");           
		    var jeremyMainMapaddress="<cms:php> echo '<cms:get_custom_field 'jeremyMainMapLocation' masterpage=k_template_name />'; </cms:php>"
		    var contentString = "<div id='content' class='mapPopUpContainer'>"+
		        "<div id='siteNotice' class='mapPopUpNotice'>"+'</div>'+
		        "<h3 id='firstHeading' class='firstHeading'><cms:php> echo '<cms:get_custom_field 'mainMapLocatorTitle' masterpage=k_template_name />';</cms:php></h3>"+
		        '<div id="bodyContent" class="mapPopUpCopy">'+
		        "<p><cms:php> echo '<cms:get_custom_field 'mainMapLocatorCopy' masterpage=k_template_name />';</cms:php><br /><span><cms:php> echo '<cms:get_custom_field 'jeremyMainMapLocation' masterpage=k_template_name />'; </cms:php><span></p>"+
		        '</div>'+
		        '</div>';
		    var jeremyMapMarkerImage = "<cms:php> echo '<cms:get_custom_field 'theMainMapLocatorMarker' masterpage=k_template_name />';</cms:php>";
		    var jeremyMainRoadMapID = 'theMainMap';
		    var jeremyMainMapStreetViewID = 'theMainMapStreetView';
		    var jeremyMainMapTitle = "<cms:php> echo '<cms:get_custom_field 'mainMapLabelTitle' masterpage=k_template_name />';</cms:php>";
		    var doesJeremyMapHaveTypeControl = <cms:php> echo '<cms:get_custom_field 'enableMainMapTerrainControl' masterpage=k_template_name />';</cms:php>;
		    var doesTheWheelMousWorkOnJeremysMap = <cms:php> echo '<cms:get_custom_field 'enableMainMapWheelScroll' masterpage=k_template_name />';</cms:php>;
		    var doesTheWheelMousWorkOnJeremysStreetMap = <cms:php> echo '<cms:get_custom_field 'enableStreetMapWheelScroll' masterpage=k_template_name />';</cms:php>;
		    var isJeremysMapDraggable = <cms:php> echo '<cms:get_custom_field 'enableMainMapDragging' masterpage=k_template_name />';</cms:php>;
		    var doesJeremysMapHaveNavControl = <cms:php> echo '<cms:get_custom_field 'enableMainMapNavControl' masterpage=k_template_name />';</cms:php>;
		    var jeremyMapFailureToGeoCodeMessage = 'Ohhhhhhh NO!!! The Geocode was not successful for the following reason: ';
		    var jeremysMapPOv = <cms:php> echo '<cms:get_custom_field 'mainMapPOVControl' masterpage=k_template_name />';</cms:php>;
		    var jeremysMapPitch = <cms:php> echo '<cms:get_custom_field 'mainMapPitchControl' masterpage=k_template_name />';</cms:php>; 
		    var customJSONmapthemObject = customGoogleMapStyles['<cms:php> echo '<cms:get_custom_field 'jeremyCustomGoogleMapStyles' masterpage=k_template_name />';</cms:php>'];
		</script>
		<script type="text/javascript" src="js/jeremymapscripts.js"></script>
	</body>
</html>
<?php COUCH::invoke(); ?>